Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.security
Class AuthorizationPolicy

    java.lang.Object
      org.apache.cxf.configuration.security.AuthorizationPolicy

Direct Known Subclasses:
  ProxyAuthorizationPolicy

    public class AuthorizationPolicy

extends java.lang.Object

This structure holds parameters that may govern authentication that use a User Password strategy.

Java class for AuthorizationPolicy complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AuthorizationPolicy">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="UserName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Password" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="AuthorizationType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Authorization" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected java.lang.String` | `authorization`
`protected java.lang.String` | `authorizationType`
`protected java.lang.String` | `password`
`protected java.lang.String` | `userName`

Constructor Summary
`AuthorizationPolicy()`

Method Summary
`java.lang.String` | `getAuthorization()` Gets the value of the authorization property.
`java.lang.String` | `getAuthorizationType()` Gets the value of the authorizationType property.
`java.lang.String` | `getPassword()` Gets the value of the password property.
`java.lang.String` | `getUserName()` Gets the value of the userName property.
`boolean` | `isSetAuthorization()`
`boolean` | `isSetAuthorizationType()`
`boolean` | `isSetPassword()`
`boolean` | `isSetUserName()`
`void` | `setAuthorization(java.lang.String value)` Sets the value of the authorization property.
`void` | `setAuthorizationType(java.lang.String value)` Sets the value of the authorizationType property.
`void` | `setPassword(java.lang.String value)` Sets the value of the password property.
`void` | `setUserName(java.lang.String value)` Sets the value of the userName property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userName

    protected java.lang.String userName

### password

    protected java.lang.String password

### authorizationType

    protected java.lang.String authorizationType

### authorization

    protected java.lang.String authorization

Constructor Detail

### AuthorizationPolicy

    public AuthorizationPolicy()

Method Detail

### getUserName

    public java.lang.String getUserName()

  Gets the value of the userName property.

  Returns:
    possible object is `String`

### setUserName

    public void setUserName(java.lang.String value)

  Sets the value of the userName property.

  Parameters:
    `value` - allowed object is `String`

### isSetUserName

    public boolean isSetUserName()

### getPassword

    public java.lang.String getPassword()

  Gets the value of the password property.

  Returns:
    possible object is `String`

### setPassword

    public void setPassword(java.lang.String value)

  Sets the value of the password property.

  Parameters:
    `value` - allowed object is `String`

### isSetPassword

    public boolean isSetPassword()

### getAuthorizationType

    public java.lang.String getAuthorizationType()

  Gets the value of the authorizationType property.

  Returns:
    possible object is `String`

### setAuthorizationType

    public void setAuthorizationType(java.lang.String value)

  Sets the value of the authorizationType property.

  Parameters:
    `value` - allowed object is `String`

### isSetAuthorizationType

    public boolean isSetAuthorizationType()

### getAuthorization

    public java.lang.String getAuthorization()

  Gets the value of the authorization property.

  Returns:
    possible object is `String`

### setAuthorization

    public void setAuthorization(java.lang.String value)

  Sets the value of the authorization property.

  Parameters:
    `value` - allowed object is `String`

### isSetAuthorization

    public boolean isSetAuthorization()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.